#ifndef LIP_PHY_H_
#define LIP_PHY_H_


typedef enum {
    LIP_PHY_SPEED_10,
    LIP_PHY_SPEED_100
} e_LIP_PHY_SPEED;

typedef enum {
    LIP_PHY_MODE_FULL_DUPLEX,
    LIP_PHY_MODE_HALF_DUPLEX
} e_LIP_PHY_MODE;



e_LIP_PHY_MODE lip_phy_mode(void);
e_LIP_PHY_SPEED lip_phy_speed(void);

t_lip_errs lip_phy_init_start(int flags);
t_lip_errs lip_phy_init_pull(int flags);
int lip_phy_get_link_status(void) ;


t_lip_errs lip_phy_reg_read(uint8_t dev_addr, uint8_t reg_addr, uint16_t *value);

t_lip_errs lip_phy_reg_write(uint8_t dev_addr, uint8_t reg_addr, uint16_t value);




#endif
