/*
 * lip_tcp_private.h
 *
 *  Created on: 05.08.2011
 *      Author: Borisov
 */

#ifndef LIP_TCP_PRIVATE_H_
#define LIP_TCP_PRIVATE_H_

#include "lip_conf.h"
#include "transport/tcp/lip_tcp.h"
#include "net/ipv4/lip_ip_private.h"


//функции, которые использует стек
void lip_tcp_init(void);
void lip_tcp_close(unsigned tout);
t_lip_errs lip_tcp_process_packet(const uint8_t *pkt, int size, const t_lip_ip_info *info);
void lip_tcp_pull(void);
void lip_tcp_ip_addr_changed(t_lip_ip_type type, const uint8_t* addr_ptr,
                             const uint8_t* old_addr, int len);

#endif /* LIP_TCP_PRIVATE_H_ */
