#ifndef LPRINTF_H__
#define LPRINTF_H__


typedef enum {
    LPRINTF_UART_PARITY_NONE = 0,
    LPRINTF_UART_PARITY_ODD  = 1,
    LPRINTF_UART_PARITY_EVEN = 2
} t_lprintf_uart_parity;


int lprintf_uart_init(unsigned port, unsigned baud, unsigned databits,
                      t_lprintf_uart_parity parity, unsigned tx_pin, unsigned flags);

void lprintf_close(void);


void lprintf_putchar(char c);

int lprintf(const char* fmt, ...);

#endif
